//q-SpikeBars_v1  Copyright  2009, Arshed Qureshi arshedfx@gmail.com 20-07-2009
#property copyright "Copyright  2009, Arshed Qureshi. ArshadFX"
#property  indicator_chart_window

extern int MinRange        =100;
extern int LookBack        =500;
extern bool ShowRange      =0;               // 0=Show Nothing, 1=Show Pips/Range
extern bool PaintBar       =1;               // It will paint the BAR 
extern int  PaintBarWidth  =3;               // How fat paint bar will be ?       
extern color BULL          =Blue;            // Colour for UP bar
extern color BEAR          =Red;             // Colour for DOWN bar
// --- Init & Deinit ----------------------------------------------------------
int init()     { return(0); }
int deinit()   
   {
   for(int i=LookBack; i>=0; i--)
      {
	   ObjectDelete(""+i);
      ObjectDelete("L"+i);
      ObjectDelete("H"+i);
      }	
return(0); }
// --- Main Function call -----------------------------------------------------
int start()
   {
   double GetRange; bool BarUP;
   for(int x=1; x<LookBack; x++)
      {
      GetRange=(High[x]-Low[x]); if(Digits<4) GetRange=GetRange*100; else GetRange=GetRange*10000;
      if (Open[x]<Close[x]) BarUP=1; else BarUP=0;
      //Alert("GetRange : ",GetRange,"  MinRange : ",MinRange,"  x : ",x);
      if (GetRange > MinRange)
         {
         if (ShowRange)          // Draw numbers on bars
            {
            if (BarUP==0)
               {
               ObjectDelete(""+x);
               ObjectCreate(""+x, OBJ_TEXT, 0, Time[x],Low[x]-5*Point );
               ObjectSetText(""+x, ""+DoubleToStr(GetRange,0), 10, "Arial", BEAR);
               }
            if (BarUP==1)
               {
               ObjectDelete(""+x);
               ObjectCreate(""+x, OBJ_TEXT, 0, Time[x],High[x]+7*Point );
               ObjectSetText(""+x, ""+DoubleToStr(GetRange,0), 10, "Arial", BULL);
               }
            }  
         if (PaintBar)           // Draw Line on bar / Repaint Bar
            {
            if (BarUP==0)
               {
               ObjectDelete("L"+x);
               ObjectCreate("L"+x, OBJ_TREND, 0, Time[x],High[x],Time[x],Low[x] );
               ObjectSet("L"+x,10,0); ObjectSet("L"+x,8,PaintBarWidth); ObjectSet("L"+x,6,BEAR);
               }
            if (BarUP==1)
               {
               ObjectDelete("H"+x);
               ObjectCreate("H"+x, OBJ_TREND, 0, Time[x],High[x],Time[x],Low[x] );
               ObjectSet("H"+x,10,0); ObjectSet("H"+x,8,PaintBarWidth); ObjectSet("H"+x,6,BULL);
               }
            }  
         }
      }
   return(0);
   }

// --- End of Main Function ---------------------------------------------------



